LibreOffice: SingleBackendAdapter Service Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
SingleBackendAdapter Service Referencepublished

implements a simple BackendAdapter that can be used for normal configuration operation. More...

`import "SingleBackendAdapter.idl";`

Inheritance diagram for SingleBackendAdapter:

## Included Services
service | BackendAdapter
| provides access to configuration data from a SingleBackend.
Included Services inherited from BackendAdapter
service | Backend
| provides access to configuration data.

## Additional Inherited Members
Exported Interfaces inherited from BackendAdapter
interface | XBackendEntities
| This interface, that is optional in Backend, is mandatory in this service.
interface | com::sun::star::lang::XInitialization
| allows initializing the backend to use.
Exported Interfaces inherited from Backend
interface | XSchemaSupplier
| provides access to configuration schemas.
interface | XBackend
| provides access to the layer data.
interface | XBackendEntities
| provides information about supported and special entities.
Public Member Functions inherited from XSchemaSupplier
XSchema | getComponentSchema ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| Returns the schema information (component + templates) for a particular component.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XBackend
sequence< XLayer > | listOwnLayers ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| retrieves the layers associated to the owner entity for a component.
XUpdateHandler | getOwnUpdateHandler ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::NoSupportException, com::sun::star::lang::IllegalArgumentException)
| creates an update handler for the owner entity layer for a component.
sequence< XLayer > | listLayers ([in] string aComponent, [in] string aEntity) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| retrieves the layers associated to an entity for a component.
XUpdateHandler | getUpdateHandler ([in] string aComponent, [in] string aEntity) raises (BackendAccessException, com::sun::star::lang::NoSupportException, com::sun::star::lang::IllegalArgumentException)
| creates an update handler on an entity's layer for a component.
Protected Member Functions inherited from XBackendEntities
string | getOwnerEntity ()
| provides the entity id of the owner entity of the backend.
string | getAdminEntity ()
| provides the entity id of an entity for general administrative access.
boolean | supportsEntity ([in] string aEntity) raises ( BackendAccessException )
| determines, if a given entity id exists in this backend.
boolean | isEqualEntity ([in] string aEntity, [in] string aOtherEntity) raises ( BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| determines, if two given entity ids denote the same entity.
Protected Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object.

## Detailed Description

implements a simple BackendAdapter that can be used for normal configuration operation.

All real functionality is provided by the wrapped SingleBackend.

See also
  com::sun::star::configuration::backend::OnlineBackend

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ BackendAdapter

service BackendAdapter

provides access to configuration data from a SingleBackend.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/backend/SingleBackendAdapter.idl